﻿using System.Collections.Generic;

namespace GPAS.Models.Interfaces
{
    /// <summary>
    ///  Interfaz de servicio de contato de entidad. Hereda de la interfaz base y añade los metodos necesarios del servicio.
    /// </summary>
    public interface IContactoService : IBaseService<Contacto, int>
    {
        IEnumerable<Contacto> ObtenerEntidad(int identidad);
    }
}