﻿using System.Collections.Generic;

namespace GPAS.Models.Interfaces
{
    /// <summary>
    ///  Interfaz de servicio de población. Hereda de la interfaz base y añade los metodos necesarios del servicio.
    /// </summary>
    public interface IPoblacionService : IBaseService<Poblacion, int>
    {
        IEnumerable<Poblacion> ObtenerNombre(string nombre);
    }
}