﻿namespace GPAS.Models.Interfaces
{
    /// <summary>
    ///  Interfaz de servicio de rol de usuario. Hereda de la interfaz base y añade los metodos necesarios del servicio.
    /// </summary>
    public interface IRolService : IBaseService<Rol, int>
    {
        string[] GetAllRoles();
        string[] GetRoles(string roleName);
        string[] GetByUserName(string username);
        bool RoleExists(string roleName);
        bool IsUserInRole(string username, string roleName);
    }
}