﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de acción
    /// </summary>
    public class AccionViewModel
    {
        public IEnumerable<Accion> Acciones { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de una acción
    /// </summary>
    public class AccionViewModelEdit
    {
        public Accion Accion { get; set; }
        public IEnumerable<Organizacion> Organizaciones { get; set; }
        public IEnumerable<Tematica> Tematicas { get; set; }
        public IEnumerable<Actividad> Actividades { get; set; }
    }
}