﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de delegación
    /// </summary>
    public class DelegacionViewModel
    {
        public IEnumerable<Delegacion> Delegaciones { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de una delegación
    /// </summary>
    public class DelegacionViewModelEdit
    {
        public Delegacion Delegacion { get; set; }
        public IEnumerable<Organizacion> Organizaciones { get; set; }
        //public IEnumerable<Poblacion> Poblaciones { get; set; }
        public string Poblacion { get; set; }
    }
}