﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de una entidad
    /// </summary>
    public class EntidadViewModel
    {
        public IEnumerable<Entidad> Entidades { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de una entidad
    /// </summary>
    public class EntidadViewModelEdit
    {
        public Entidad Entidad { get; set; }
        public IEnumerable<TipoEntidad> TiposEntidades { get; set; }
        public string Poblacion { get; set; }
        public IEnumerable<Contacto> Contactos { get; set; }
        public IEnumerable<Seguimiento> Seguimientos { get; set; }
        public IEnumerable<Participacion> Participaciones { get; set; }
    }
}