﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de foto
    /// </summary>
    public class FotoViewModel
    {
        public IEnumerable<Foto> Fotos { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de un foto
    /// </summary>
    public class FotoViewModelEdit
    {
        public Foto Foto { get; set; }
        public string RutaFotos { get; set; }
        public IEnumerable<Evento> Eventos { get; set; }
    }
}