﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de participación
    /// </summary>
    public class ParticipacionViewModel
    {
        public IEnumerable<Participacion> Participaciones { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de una participación
    /// </summary>
    public class ParticipacionViewModelEdit
    {
        public Participacion Participacion { get; set; }
        public IEnumerable<Entidad> Entidades { get; set; }
        public IEnumerable<Evento> Eventos { get; set; }
        public IEnumerable<TipoParticipacion> TiposParticipaciones { get; set; }
    }
}