﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de población
    /// </summary>
    public class PoblacionViewModel
    {
        public IEnumerable<Poblacion> Poblaciones { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de una población
    /// </summary>
    public class PoblacionViewModelEdit
    {
        public Poblacion Poblacion { get; set; }
        public IEnumerable<Provincia> Provincias { get; set; }
    }
}