﻿jQuery.extend(jQuery.validator.messages, {
    required: "Este campo es obligatorio",
    remote: "Por favor corrija el valor de este campo.",
    email: "Introduzca una dirección válida de correo electrónico.",
    url: "Introduzca una URL válida.",
    date: "Introduzca una fecha válida.",
    dateISO: "Introduzca una fecha válida (ISO).",
    number: "Introduzca un número válido.",
    digits: "Introduzca sólo letras.",
    creditcard: "Introduzca un número de tarjeta de crédito válido.",
    equalTo: "Introduzca el nuevo valor de nuevo.",
    accept: "Introduzca un valor con extensión válida.",
    maxlength: $.validator.format("Introduzca menos de {0} caractéres."),
    minlength: $.validator.format("Introduzca un minimo de {0} caractéres."),
    rangelength: $.validator.format("Introduzca un valor entre {0} y {1} caractéres de longitud."),
    range: $.validator.format("Introduzca un valor entre {0} y {1}."),
    max: $.validator.format("Introduzca un valor menor o igual que {0}."),
    min: $.validator.format("Introduzca un valor mayor o igual a {0}.")
});