﻿using System.Web.Mvc;

namespace GPAS.Controllers
{
    // Interfaz que define las accionmes necesarias para el mantenimiento de los datos (CRUD) 
    public interface IBaseController<in TEntity, in TEntityId>
        where TEntity : class
        where TEntityId : struct
    {
        ActionResult Indice(int pagina, string orden, string ordenDir, string textoBuscar);
        ActionResult Nuevo();
        ActionResult Nuevo(TEntity entity);
        ActionResult Editar(TEntityId id);
        ActionResult Editar(TEntity entity);
        ActionResult Borrar(TEntityId id);
    }
}