﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    public class DireccionPostal
    {
        [DisplayName("Dirección")]
        [StringLength(100, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        public string Direccion { get; set; }

        [DisplayName("Código postal")]
        [StringLength(5, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        public string CodigoPostal { get; set; }

        [DisplayName("Población")]
        public int? IdPoblacion { get; set; }
    }
}