﻿using System.Collections.Generic;

namespace GPAS.Models.Interfaces
{
    /// <summary>
    ///  Interfaz de servicio de participación. Hereda de la interfaz base y añade los metodos necesarios del servicio.
    /// </summary>
    public interface IParticipacionService : IBaseService<Participacion, int>
    {
        IEnumerable<Participacion> ObtenerEvento(int idevento);
        IEnumerable<Participacion> ObtenerEntidad(int identidad);
    }
}