﻿using System.Collections.Generic;

namespace GPAS.Models.Interfaces
{
    /// <summary>
    ///  Interfaz de servicio de seguimiento de entidad. Hereda de la interfaz base y añade los metodos necesarios del servicio.
    /// </summary>
    public interface ISeguimientoService : IBaseService<Seguimiento, int>
    {
        IEnumerable<Seguimiento> ObtenerEntidad(int identidad);
    }
}