﻿using System.Collections.Generic;

namespace GPAS.Models.Interfaces
{
    /// <summary>
    ///  Interfaz de servicio de usuario. Hereda de la interfaz base y añade los metodos necesarios del servicio.
    /// </summary>
    public interface IUsuarioService : IBaseService<Usuario, int>
    {
        IEnumerable<Usuario> ObtenerNombre(string username);
        IEnumerable<Usuario> ObtenerEmail(string email);
        Usuario ObtenerPrimerNombreName(string username);
        Usuario ObtenerPrimerEmail(string email);
        bool ValidaUsusario(string username, string password);
        bool ExisteNombre(string username);
    }
}