﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de contactos
    /// </summary>
    public class ContactoViewModel
    {
        public IEnumerable<Contacto> Contactos { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de un contacto
    /// </summary>
    public class ContactoViewModelEdit
    {
        public Contacto Contacto { get; set; }
        public IEnumerable<Entidad> Entidades { get; set; }
    }
}