﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de documento
    /// </summary>
    public class DocumentoViewModel
    {
        public IEnumerable<Documento> Documentos { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de un documento
    /// </summary>
    public class DocumentoViewModelEdit
    {
        public Documento Documento { get; set; }
        public string RutaDocumentos { get; set; }
        public IEnumerable<Evento> Eventos { get; set; }
    }
}