﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de evento
    /// </summary>
    public class EventoViewModel
    {
        public IEnumerable<Evento> Eventos { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de una evento
    /// </summary>
    public class EventoViewModelEdit
    {
        public Evento Evento { get; set; }
        public IEnumerable<Accion> Acciones { get; set; }
        public string Poblacion;
        public IEnumerable<Documento> Documentos { get; set; }
        public IEnumerable<Foto> Fotos { get; set; }
        public IEnumerable<Participacion> Participaciones { get; set; }
    }
}