﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de organización
    /// </summary>
    public class OrganizacionViewModel
    {
        public IEnumerable<Organizacion> Organizaciones { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de una organización
    /// </summary>
    public class OrganizacionViewModelEdit
    {
        public Organizacion Organizacion { get; set; }
        public IEnumerable<TipoOrganizacion> TiposOrganizaciones { get; set; }
    }
}