﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de seguimiento
    /// </summary>
    public class SeguimientoViewModel
    {
        public IEnumerable<Seguimiento> Seguimientos { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de una seguimiento
    /// </summary>
    public class SeguimientoViewModelEdit
    {
        public Seguimiento Seguimiento { get; set; }
        public IEnumerable<Entidad> Entidades { get; set; }
        public IEnumerable<Usuario> Usuarios { get; set; }
        public IEnumerable<Medio> Medios { get; set; }
        public IEnumerable<Estado> Estados { get; set; }
    }
}