﻿using System.Collections.Generic;

namespace GPAS.Models.ViewModels
{
    /// <summary>
    /// Modelo de vista de usuarios
    /// </summary>
    public class UsuarioViewModel
    {
        public IEnumerable<Usuario> Usuarios { get; set; }
        public int FilasTotal { get; set; }
        public int FilasPorPagina { get; set; }
        public string TextoBusqueda { get; set; }
    }

    /// <summary>
    /// Modelo de vista para la edicíón de un usuario
    /// </summary>
    public class UsuarioViewModelEdit
    {
        public Usuario Usuario { get; set; }
        public IEnumerable<Delegacion> Delegaciones { get; set; }
        public IEnumerable<Rol> Roles { get; set; }
    }
}